commit:     4559149bd18b1f73d9a182f6a13ef4b3f9977134
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Mon Oct  1 16:33:45 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Mon Oct  1 16:34:06 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4559149b

sys-fs/mtools: bump to v4.0.19

- EAPI bumped to EAPI=6

Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>
Package-Manager: Portage-2.3.50, Repoman-2.3.11

 sys-fs/mtools/Manifest             |  1 +
 sys-fs/mtools/mtools-4.0.19.ebuild | 61 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/sys-fs/mtools/Manifest b/sys-fs/mtools/Manifest
index c013c84acdd..baa12187e63 100644
--- a/sys-fs/mtools/Manifest
+++ b/sys-fs/mtools/Manifest
@@ -1 +1,2 @@
 DIST mtools-4.0.18.tar.bz2 420190 BLAKE2B 
92fdf8b054287e3cb4eddb40c98f5ac4229a38473b633c25ab74a07a8a72d38c2767ae648a35cf0dac9dedfa2f7789afc4904a50e1328e2baa0a289d93b094fb
 SHA512 
3981a4727aa4e2ec5c931201b236f52fcd1c9d55f888cb2fbdc5c4172402e2b229ede9a5005b972ffdad59bcb861e2fcc01404845e521116419079ae78239090
+DIST mtools-4.0.19.tar.bz2 445566 BLAKE2B 
2f35eaccb65ba39cb365ecaf1de95cff038370503bcb9dad4dc1bb654d00d1559c7183f8a30538f0fb6ce12332521083eefaa34f4eda9bdc9698cd54a0689fa9
 SHA512 
8928baa197bb3ad0f5e5b6852bfb1b4220bc50d19527e703025cec98bf9988faba496d91df71b14d936a095cc89ce92ce533abe9adf5fff2602f139cb3c6085a

diff --git a/sys-fs/mtools/mtools-4.0.19.ebuild 
b/sys-fs/mtools/mtools-4.0.19.ebuild
new file mode 100644
index 00000000000..241e6ded35a
--- /dev/null
+++ b/sys-fs/mtools/mtools-4.0.19.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit flag-o-matic
+
+DESCRIPTION="utilities to access MS-DOS disks from Unix without mounting them"
+HOMEPAGE="https://www.gnu.org/software/mtools/ 
https://savannah.gnu.org/projects/mtools";
+SRC_URI="mirror://gnu/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86 ~x64-macos 
~x64-solaris"
+IUSE="X elibc_glibc"
+
+RDEPEND="
+       !elibc_glibc? ( virtual/libiconv )
+       X? (
+               x11-libs/libICE
+               x11-libs/libXau
+               x11-libs/libSM
+               x11-libs/libX11
+               x11-libs/libXt
+       )"
+DEPEND="${RDEPEND}
+       sys-apps/texinfo"
+# texinfo is required because we patch mtools.texi
+# drop it when mtools-4.0.18-locking.patch is no longer applied
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-4.0.18-locking.patch # https://crbug.com/508713
+       "${FILESDIR}"/${PN}-4.0.18-attr.patch # https://crbug.com/644387
+       "${FILESDIR}"/${PN}-4.0.18-memset.patch
+)
+
+src_prepare() {
+       default
+
+       # Don't throw errors on existing directories
+       sed -i -e "s:mkdir:mkdir -p:" mkinstalldirs || die
+}
+
+src_configure() {
+       # 447688
+       use !elibc_glibc && use !elibc_musl && append-libs "-liconv"
+       econf \
+               --sysconfdir="${EPREFIX%/}"/etc/mtools \
+               $(use_with X x)
+}
+
+src_install() {
+       local -a DOCS=( README* Release.notes )
+       default
+
+       insinto /etc/mtools
+       doins mtools.conf
+
+       # default is fine
+       sed -i -e '/^SAMPLE FILE$/s:^:#:' "${ED%/}"/etc/mtools/mtools.conf || 
die
+}

Reply via email to